<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.community.accessrecord.mapper.AccessRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="accessRecordResultMap" type="org.springblade.community.accessrecord.entity.AccessRecord">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="user_id" property="userId"/>
        <result column="user_name" property="userName"/>
        <result column="agency_id" property="agencyId"/>
        <result column="residential_id" property="residentialId"/>
        <result column="enterprise_id" property="enterpriseId"/>
        <result column="face_url" property="faceUrl"/>
        <result column="device_id" property="deviceId"/>
        <result column="open_time" property="openTime"/>
        <result column="open_type" property="openType"/>
        <result column="tenant_id" property="tenantId"/>
        <result column="temperature" property="temperature"/>
        <result column="org_position" property="orgPosition"/>
        <result column="tenant_id" property="tenantId"/>
        <result column="command_seq" property="commandSeq"/>
        <result column="open_success" property="openSuccess"/>
        <result column="fail_reason" property="failReason"/>
    </resultMap>


    <select id="selectAccessRecordPage" resultMap="accessRecordResultMap">
        select * from yc_access_record where is_deleted = 0
    </select>

</mapper>
